Subject: [MOBILE-IP] Q: dynamic home agent resolution

From: Seong-Kyu Song <[email-masked]>
Date: Wed, 2 Aug 2000 11:15:51 CDT

Hello!

Would you explain how a mobile node can find his home agent address
if it doesn't know it?

Let me first check if my understanding is correct.
The MN broadcasts a Registration Request message to his own home network.
Each HA in his home network will always reject that (broadcasted) request,
but by the reject message the MN comes to know one of HA addresses.
After the reject message, the MN tries again registration with the
HA address.

The reason each HA rejects and doesn't process the broadcasted request is
that it could lead to duplicated bindings on some HAs on the home network.

Is my understanding correct?
Is there any other ways suggested for dynamic HA resolution?

Thank you.

Seong-Kyu Song
------------------------------------------
What is now proved was once only imagin'd.
                       -- William Blake

________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com